> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1automations 1



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/automations/{automation}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/automations/{automation}:
    get:
      tags:
        - Automations
      operationId: automations.show
      parameters:
        - name: automation
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '`Automation`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Automation'
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    Automation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        team_id:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        is_active:
          type: string
      required:
        - id
        - name
        - type
        - meta
        - team_id
        - created_at
        - updated_at
        - deleted_at
        - is_active
      title: Automation
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````